org.apache.ignite.internal.pagemem.wal.record.delta

## Class ReplaceRecord<L>

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.ReplaceRecord<L>

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class ReplaceRecord<L>
    extends PageDeltaRecord

Replace.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`ReplaceRecord(int grpId, long pageId, BPlusIO<L> io, byte[] rowBytes, int idx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `index()`
`BPlusIO<L>` `io()`
`byte[]` `rowBytes()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, rollOver, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReplaceRecord

    public ReplaceRecord(int grpId,
                         long pageId,
                         BPlusIO<L> io,
                         byte[] rowBytes,
                         int idx)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `io` - IO.
  `rowBytes` - Row bytes.
  `idx` - Index.

### Method Detail

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### io

    public BPlusIO<L> io()

Returns:
  IO.

#### index

    public int index()

Returns:
  Index.

#### rowBytes

    public byte[] rowBytes()

Returns:
  Row bytes.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019